:root {
  --color-background-0: rgb(231, 236, 241);
  --color-background-1: rgba(255, 255, 255, 1);
  --color-background-2: rgb(29, 91, 153);
  --color-font-0: rgb(87, 87, 87);
  --color-font-1: rgb(36, 61, 87);
  --color-font-2: rgb(219, 229, 240);
  --color-font-3: rgb(29, 91, 153);
  --color-btn: rgb(255, 255, 255);
  --color-btn-background-0: rgb(56, 111, 165);
  --color-btn-background-1: rgb(70, 127, 184); 

  --color-background-0-dark: #282a38;
  --color-background-1-dark: rgba(52, 55, 70, 1);
  --color-background-2-dark: #191a21;
  --color-font-0-dark: rgb(200, 200, 200);
  --color-font-1-dark: rgb(240, 240, 240);
  --color-font-2-dark: rgb(200, 200, 200);
  --color-font-3-dark: rgb(91, 158, 224);

  --font-header1: "Mate SC", "Times New Roman", Times, serif;
  --font-3: "Dancing Script", "Times New Roman", Times, serif;
  --font-main: "Arima Madurai", "Times New Roman", Times, serif;

  --size-max: 900px;
  --size-min:: 350px;
}

/***************************************************/
/***************************************************/
/***************************************************/
* {
  box-sizing: border-box;
  transition: background-color 0.5s ease, color 0.5s linear;
}

body {
  color: var(--color-font-0);
  background-color: var(--color-background-0);
  font-family: var(--font-main);
  margin: 0;
}

h1 {
    font-family: var(--font-header1);
    color: var(--color-font-1);
    margin: 12px 0;
    font-size: 2.2em;
  }

h2,
h3,
h4,
p,
a,
label {
  font-family: var(--font-main);
  font-size: 1em;
  color: var(--color-font-1);
  margin: 0;
  padding: 2px 0;
}

p{
  line-height: 1.2em;
}

h2 {
  font-size: 1.5em;
}

h3 {
  font-size: 1.25em;
}

h4{
    font-size: 1.15em;
  }

h5 {
  font-size: 1.15em; 
  color: var(--color-font-3);
  font-family: var(--font-3);
  margin: 0;
  padding: 5px;
}

p{
  text-align: justify;
}

.limit-size{
  width: 80%;

  max-width: var(--size-max);
  min-width: var(--size-min);
}

/***************************************************/
/***************************************************/
/***************************************************/
/* social */
.section-social{
  display: grid;
  grid-template-columns: 38% 20% 20% 20%;
  gap: 5px;
  align-items: center;

  width: 95%;
  margin: auto;
  max-width: var(--size-max);
  min-width: var(--size-min);
}

.section-social-background{
  background-image: url("img/pattern-2.png");
  background-repeat:repeat;
  background-attachment: fixed;
}

.social-logo img {
  margin: 5px 10px;
}

.social-item{
  display: grid;
  grid-template-columns: 20% 77%;
  gap: 3%;
  align-items: center;

  padding: 5px;
  border-radius: 15px;
  transition: all 0.3s;
}

.social-item:hover{
  background-color: var(--color-background-1);
}

.social-item div h4{
  font-size: 0.9em;
}

.social-item div h5{
  font-size: 0.8em;
  margin: 0;
}

/* menu */
.nav {
  background-color: var(--color-background-1);
  font-family: var(--font-main);
  position: absolute;
  width: 100%;
  
  overflow: hidden;
  z-index: 5; 
}

.nav-container {
  display: grid;
  grid-template-columns: auto auto;
  gap: 10px;
  width: 95%;
  margin: auto;

  max-width: var(--size-max);
  min-width: var(--size-min);
}

.nav-theme{
  display: flex;
  align-items: center;

  transition: all 0.3s;
}

.nav-items {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  overflow: hidden;
}

.nav-items a {
  color: var(--color-font-1);
  padding: 10px;
  text-decoration: none;

  transition: all 0.3s;
}

.nav-items .icon-responsive {
  display: none;
}

.nav-sticky{
  position: fixed;
  width: 100%;
  top:0;
}

@media screen and (max-width: 600px) {
  .nav-container {
    grid-template-columns: auto 30%;
  }
  .nav-theme{
    display: block;
    margin-top: 10px;
  }
  .nav-items {
    display: block;
    margin: auto 0;
  }
  .nav-items :not(:last-child) {
    display: none;
    /* float: left; */
  }
  .nav-items a.icon-responsive {
    float: right;
    display: block;
  }

  /* others */
  .section-social{
    display: none;
  }
  
  .limit-size{
    width: 90%;
  }
}

@media screen and (max-width: 600px) {
  .nav-items.responsive {
    position: relative;
  }
  .nav-items.responsive .icon-responsive {
    position: absolute;
    right: 0;
    top: 0;
  }
  .nav-items.responsive a {
    float: none;
    display: block;
    text-align: left;
  }
}

/***************************************************/
/***************************************************/
/***************************************************/
/* section */
section{
  transition: transform 1s, opacity 1s;
}

.section-hidden {
  opacity: 0;
  transform: translateY(8rem);
}

/* header */
.section-header{
  display: flex;
  background-color: var(--color-background-1);
  height: 90vh;
}

.header-main{
  display: grid;
  grid-template-columns: 64% 35%;
  column-gap: 1%;
  margin:auto;
}

.header-main h1{
  font-size: 2.65em;
}


.header-main img{
  grid-column: 2 / 3;
  grid-row: 1 / span 4;
}

.header-main input[type="submit"]{
  margin-left: 35px;
  width: 120px;
  background-color: transparent;
  border-color: transparent;
  color: var(--color-font-1);
  margin-top: 40px;
}

.header-main input[type="submit"]:hover{
  background-color: var(--color-background-0);
  border-color: var(--color-background-1);
  color: var(--color-font-0);
}

/* tabs */
.section-tabs{
  padding: 60px 0;
  /* transition: all 0.3s; */
}

.section-tabs h2, .section-tabs h5{
  width: 70%;
  margin:auto;

  max-width: var(--size-max);
  min-width: var(--size-min);
}

.tabs-container{
  margin: 40px auto 0 auto;
  padding: 25px;
  background-color: var(--color-background-1);
  border-radius: 15px;
}

.tabs-items{
  display: flex;
  justify-content: center;
  margin-top: -47px;
  margin-bottom: 10px;
}

.tabs-items input[type="submit"]{
  width: 120px;
}

.tabs-items input[type="submit"]:hover{
  transform: translateY(-5px);
}

.tabs-item-selected{
  transform: translateY(-5px);
}

.tabs-content{
  display: grid;
  grid-template-columns: 15% auto;
  gap: 2%;
}

.tabs-content i{
  display: flex;
  align-items: center;
  font-size: 5em
}

.tabs-content-hidden{
  display: none;
}

/* highlight */
.section-highlight{
  background-image: url("img/pattern-1.png");
  background-repeat:repeat;
  background-attachment: fixed;
  padding: 5px;
  width: 100%;
  height: 100%;
}

.section-highlight h1{
  margin-top: 30px;
  color: var(--color-font-2);
  text-align: center;
}

.highlight-content{
  margin: 5% auto;

  display: grid;
  grid-template-columns: auto auto auto auto;
  gap: 2%;
}

.highlight-content div{
  text-align: center;
}

.highlight-content div h1, .highlight-content div h5{
  margin: 0;
  color: var(--color-font-2);
}

/* shopping */
.section-shopping{
  margin: 0 auto;
  padding: 60px 0;
}

.section-shopping h2, .section-shopping h5{
  width: 90%;
  margin:auto;

  max-width: var(--size-max);
  min-width: var(--size-min);
}

.shopping-container{
  display: grid;
  grid-template-columns: 24% 24% 24% 24%;
  column-gap: 2%;
  row-gap: 10px;

  margin-top: 10px;
}

.shopping-item{
  background-color: var(--color-background-1);
  border-radius: 15px;
}

.shopping-item img{
  width: 100%;
  border-radius: 15px 15px 0 0;
}

.shopping-item div{
  padding: 10px;
}

.shopping-item div p{margin-bottom: 10px;}
.shopping-item div i{font-size: 0.8em; display: flex;
  justify-content: space-evenly; margin: 6px 0;}
.shopping-item div input{width: 100%;}


/* slider */
.section-slider{
  margin: 0 auto;
  padding: 60px 0;
  overflow: hidden;
}

.slider-container{
  margin-top: 10px;
  width: 100%;
  height: 150px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: transform 1s;
  overflow: hidden;
  position: relative;
}

.slider-container button{
  color: var(--color-font-1);
  width: 40px;
  height: 40px;
  background-color: var(--color-background-1);
  border: 1px solid var(--color-background-1);
  border-radius: 20px;
}

.slider-container button:hover{
  opacity: 0.7;
}

.slider-item{
  position:absolute;
  padding: 0 70px;
  transition: transform 1s;
}

.slider-item p, .slider-item h2{
  padding: 0 25px;
}

.slider-item h5{
  padding: 15px 45px;
}

.slider-btn--left{
  position: absolute;
  left: 2%;
  z-index: 5;
  cursor: pointer;
}

.slider-btn--right{
  position: absolute;
  right: 2%;
  z-index: 5;
  cursor: pointer;
}

@media screen and (max-width: 600px) {
  .header-main h1{
    font-size: 2.2em;
  }

  .header-main img{
    display: flex;
    margin: auto;
  }

  .highlight-content,
  .shopping-container{
    grid-template-columns: 48% 48%;
    column-gap: 4%;
  }
  .header-main{
    display: block;
  }

  .tabs-content{
    grid-template-columns: 100%;
    justify-items: center;
  }

  .tabs-content i{
    font-size: 7em;
  }

  .slider-container{
    height: 330px;
  }

  .slider-item{
    padding: 0 10px;
  }

  .slider-btn--left,
  .slider-btn--right{
    margin-top: 50%;
  }

  .section-header{
    height: 100vh;
  }
}
/***************************************************/
/***************************************************/
/***************************************************/
/* footer */
footer {
  color: var(--color-font-2);
  background-color: var(--color-background-2);
}

.footer {
  margin: 20px auto 0 auto;
  padding: 25px 0;

  display: grid;
  grid-template-columns: 31% 18% 18% 18%;
  gap: 5%;
}

.footer h3, .footer p{
    color: var(--color-font-2);
}

.footer h4{
    color: var(--color-font-2);
    text-decoration: underline;
    text-underline-offset: 3px;
}

.footer section{
    display: flex;
    flex-direction: column;
}

.footer a{
    color: var(--color-font-2);
    text-decoration: none;
}

.footer-copyWrite {
  display: flex;
  align-items: center;
  justify-content: center;
  
  height: 3rem;
  margin: 0;
}

.footer-copyWrite a,
.footer-copyWrite p {
  color: rgb(255, 255, 255);
  text-align: center;
  text-decoration: none;
}


@media screen and (max-width: 600px) {
    .footer {
        grid-template-columns: auto auto auto;
        row-gap: 0;
    }

    .footer-logo{
      grid-row: 1 ;
      grid-column: 1 / span 3;
      margin-bottom: 25px;
    }
}

/***************************************************/
/***************************************************/
/***************************************************/
/* modals */
.modal-main {
  top: 50%;
  left: 50%;
  position: fixed;
  transform: translate(-50%, -50%);

  padding: 20px 40px;
  border-radius: 10px;
  background-color: white;
  background: linear-gradient(
    to bottom,
    rgb(231, 231, 231) 40%,
    rgb(202, 202, 202) 80%,
    rgb(189, 189, 189) 90%
  );
  z-index: 6;

  transition: all 0.5s;
}

.modal-main form h2{
  margin-top: 40px;
}
.modal-main form input[type="text"],
.modal-main form input[type="password"],
.modal-main form input[type="email"]{
  width: 100%;
}

.modal-main input[type="submit"]{
  float: right;
}

.modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  backdrop-filter: blur(3px);
  z-index: 5;

  transition: all 0.3s;
}

.modal-hidden {
  visibility: hidden;
  opacity: 0;
}

.modal-close {
  float: right;
  font-size: 18px;
  cursor: pointer;
}
/***************************************************/
/***************************************************/
/***************************************************/
/* inputs */
input[type="submit"] {
  margin: 3px;
  padding: 5px 15px;
  color: var(--color-btn);
  background-color: var(--color-btn-background-0);
  border: 1px solid var(--color-btn-background-0);
  border-radius: 20px;
  font-family: var(--font-headerOther);
  font-size: 1em;

  transition: all 0.3s;
}

input[type="submit"]:hover {
  background-color: var(--color-btn-background-1);
  border: 1px solid var(--color-btn-background-1);
}

/* inputs */
input[type="text"],
input[type="password"],
input[type="email"]
 {
  font-family: var(--font-2);
  font-size: 1em;
  background-color: rgb(250, 250, 250);
  border: 1px solid rgb(250, 250, 250);
  color: rgb(180, 180, 180);
  padding: 5px;
  margin: 2px;
  height: 25px;
  border-radius: 4px;
  display: inline-block;
  transition: all 0.3s;
}